Subject: Re: [bug#36800] [PATCH 11/11] gnu: Add r-depecher.

From: zimoun <[email-masked]>
Date: Thu, 25 Jul 2019 11:54:53 +0200

Hi Ricardo,

Thank you for your quick feedback.

On Wed, 24 Jul 2019 at 22:50, Ricardo Wurmus <[email-masked]> wrote:
>
> zimoun <[email-masked]> writes:
>
> > * gnu/packages/bioconductor.scm (r-depecher): New variable.
>
> This package cannot actually be built:

Sorry for the annoyance.
I missed `--pure` when I built the package.

> --8<---------------cut here---------------start------------->8---
> …
> if test -e "/usr/bin/strip" & test -e "/bin/uname" & [[ `uname` == "Linux" ]] ; then /usr/bin/strip --strip-debug DepecheR.so; fi
> /gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash: /usr/bin/strip: No such file or directory
> make: *** [Makevars:6: strippedLib] Error 127
> ERROR: compilation failed for package ‘DepecheR’
> * removing ‘/gnu/store/pgjzdxwn0nyanx9lvp6i9rxflabh3k21-r-depecher-1.0.3/site-library/DepecheR’
> Backtrace:
>            4 (primitive-load "/gnu/store/f1ky8a22c7s5p053nci05a536j7…")
> In ice-9/eval.scm:
>    191:35  3 (_ #f)
> In srfi/srfi-1.scm:
>    863:16  2 (every1 #<procedure 725d80 at /gnu/store/4p2vk30zhkwxq…> …)
> In /gnu/store/4p2vk30zhkwxqdkydn1572qz70jgvl55-module-import/guix/build/gnu-build-system.scm:
>    799:28  1 (_ _)
> In /gnu/store/4p2vk30zhkwxqdkydn1572qz70jgvl55-module-import/guix/build/utils.scm:
>     616:6  0 (invoke _ . _)
>
> /gnu/store/4p2vk30zhkwxqdkydn1572qz70jgvl55-module-import/guix/build/utils.scm:616:6: In procedure invoke:
> Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "R" arguments: ("CMD" "INSTALL" "--install-tests" "--library=/gnu/store/pgjzdxwn0nyanx9lvp6i9rxflabh3k21-r-depecher-1.0.3/site-library/" "--built-timestamp=1970-01-01" ".") exit-status: 1 term-signal: #f stop-signal: #f] 7c4ec0>)'.
> builder for `/gnu/store/mwcdvlm6f17i81m16w131042cmvlfh5m-r-depecher-1.0.3.drv' failed with exit code 1
> build of /gnu/store/mwcdvlm6f17i81m16w131042cmvlfh5m-r-depecher-1.0.3.drv failed
> View build log at '/var/log/guix/drvs/mw/cdvlm6f17i81m16w131042cmvlfh5m-r-depecher-1.0.3.drv.bz2'.
> guix build: error: build of `/gnu/store/mwcdvlm6f17i81m16w131042cmvlfh5m-r-depecher-1.0.3.drv' failed
> --8<---------------cut here---------------end--------------->8---
>
> I’ll modify the build phases to patch out this call to /usr/bin/strip.

Just to understand, you mean patch the file `DepecheR/src/Makevars` to
remove the absolute path `/usr/bin/strip` to simply `strip`. Right?

All the best,
simon